curl --request POST \
--url https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/associate/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
}
}
]
}
'import requests
url = "https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/associate/default"
payload = { "inputs": [
{
"from": { "id": "<string>" },
"to": { "id": "<string>" }
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{from: {id: '<string>'}, to: {id: '<string>'}}]})
};
fetch('https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/associate/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"associationSpec": {
"associationTypeId": 123
},
"from": {
"id": "<string>"
},
"to": {
"id": "<string>"
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Associate records (default)
Crear el tipo de asociación predeterminado (más genérico) entre dos tipos de objetos.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
Show child attributes
Show child attributes
Respuesta
successful operation
La respuesta que se obtiene después de hacer una operación por lotes en las asociaciones.
La marca de tiempo en que se completó el procesamiento por lotes, en formato ISO 8601.
Show child attributes
Show child attributes
La marca de tiempo en que comenzó la ejecución del procesamiento por lotes, en formato ISO 8601.
El estado de la solicitud de procesamiento por lotes: "PENDIENTE", "PROCESANDO", "CANCELADA" o "COMPLETADA".
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Show child attributes
Un objeto que contiene los enlaces relacionados con la solicitud por lotes.
Show child attributes
Show child attributes
El número de errores encontrados durante el procesamiento por lotes.
La marca de tiempo en que se inició el procesamiento por lotes, en formato ISO 8601.